Bug 39154 - new port: emulators/grustibus
Summary: new port: emulators/grustibus
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-11 18:10 UTC by Amar Takhar
Modified: 2002-07-25 06:01 UTC (History)
0 users

See Also:


Attachments
file.shar (3.87 KB, text/plain)
2002-06-11 18:10 UTC, Amar Takhar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amar Takhar 2002-06-11 18:10:01 UTC
gRustibus is a M.A.M.E. frontend for the GNOME environment. Its goal is to 
be feature-rich and easy to use.  It shows screenshots, flyers, cabinet 
photos, and info for your M.A.M.E. ROMs, and allows you to configure each 
game individually. Most operations can be done using the keyboard.

Finally, something UNIX users can use to manage those ROMS, just as the 
Mac and Windows users have had for years :)

WWW: http://grustibus.sourceforge.net/
Comment 1 Amar Takhar 2002-07-15 10:36:00 UTC
Somehow, i borked the first shot at this port in this version the Gnome
dependancies are fixed, a sysconfigdir but was fixed (it wasn't honoring it) and
the prefix was changed to /usr/X11R6 plus some pkg-plist tidying up.

Please find the entire port attached, it'll be easier for whoever is committing
this to just have the new port rather than having to dig around for old one to
use a patch.  Thanks!

Amar


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	grustibus/Makefile
#	grustibus/distinfo
#	grustibus/files
#	grustibus/pkg-comment
#	grustibus/pkg-descr
#	grustibus/pkg-plist
#	grustibus/files/patch-aa
#
echo x - grustibus/Makefile
sed 's/^X//' >grustibus/Makefile << 'END-of-grustibus/Makefile'
X# New ports collection makefile for:	grustibus
X# Date created:		28 May 2002
X# Whom:			verm@drunkmonk.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	grustibus
XPORTVERSION=	0.43
XCATEGORIES=	emulators
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	grustibus
X
XMAINTAINER=	verm@drunkmonk.net
X
XLIB_DEPENDS=	gnomecanvaspixbuf.1:${PORTSDIR}/graphics/gnomecanvas
X
XWANT_GNOME=	yes
XUSE_GTK=	yes
XUSE_X_PREFIX=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS=	--sysconfdir=`${GNOME_CONFIG} --sysconfdir`
X
X.include <bsd.port.pre.mk>
X
X.if defined(HAVE_GNOME)
XUSE_GNOME=	yes
X.endif
X
X.include <bsd.port.post.mk>
END-of-grustibus/Makefile
echo x - grustibus/distinfo
sed 's/^X//' >grustibus/distinfo << 'END-of-grustibus/distinfo'
XMD5 (grustibus-0.43.tar.gz) = f7c8f57bb4ada4f12b95106484a09dc3
END-of-grustibus/distinfo
echo c - grustibus/files
mkdir -p grustibus/files > /dev/null 2>&1
echo x - grustibus/pkg-comment
sed 's/^X//' >grustibus/pkg-comment << 'END-of-grustibus/pkg-comment'
XAn xmame frontend for Gnome
END-of-grustibus/pkg-comment
echo x - grustibus/pkg-descr
sed 's/^X//' >grustibus/pkg-descr << 'END-of-grustibus/pkg-descr'
XgRustibus is a M.A.M.E. frontend for the GNOME environment. Its goal is to 
Xbe feature-rich and easy to use.  It shows screenshots, flyers, cabinet 
Xphotos, and info for your M.A.M.E. ROMs, and allows you to configure each 
Xgame individually. Most operations can be done using the keyboard.
X
XFinally, something UNIX users can use to manage those ROMS, just as the 
XMac and Windows users have had for years :)
X
XWWW: http://grustibus.sourceforge.net/
END-of-grustibus/pkg-descr
echo x - grustibus/pkg-plist
sed 's/^X//' >grustibus/pkg-plist << 'END-of-grustibus/pkg-plist'
Xbin/grustibus
Xetc/gnome/config/gRustibus.d/catver
Xshare/gnome/locale/no/LC_MESSAGES/grustibus.mo
Xshare/gnome/locale/fr/LC_MESSAGES/grustibus.mo
Xshare/gnome/gnome/apps/Games/grustibus.desktop
Xshare/gnome/pixmaps/grustibus.png
Xshare/gnome/pixmaps/mini-grustibus.xpm
Xshare/gnome/pixmaps/grustibus/defaultsnap.png
Xshare/gnome/pixmaps/grustibus/grustibus-logo.png
Xshare/gnome/pixmaps/grustibus/grustibus.png
Xshare/gnome/pixmaps/grustibus/mini-grustibus.xpm
X@dirrm etc/gnome/config/gRustibus.d
X@dirrm share/gnome/pixmaps/grustibus
END-of-grustibus/pkg-plist
echo x - grustibus/files/patch-aa
sed 's/^X//' >grustibus/files/patch-aa << 'END-of-grustibus/files/patch-aa'
X--- src/Makefile.in.orig	Tue May 29 13:12:24 2001
X+++ src/Makefile.in	Wed May 29 01:20:05 2002
X@@ -142,7 +142,7 @@
X gui.o fileio.o mameio.o support.o interface.o callbacks.o
X grustibus_DEPENDENCIES = 
X grustibus_LDFLAGS = 
X-CFLAGS = @CFLAGS@
X+CFLAGS = @CFLAGS@ @EXTRA_GNOME_CFLAGS@
X COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
X CCLD = $(CC)
X LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
END-of-grustibus/files/patch-aa
exit
Comment 2 Pete Fritchman freebsd_committer 2002-07-25 06:01:32 UTC
State Changed
From-To: open->closed

New port added, thanks!